import { Component } from "react";
import { View, Text, Image } from "@tarojs/components";
import { AtInput } from "taro-ui";
import "./index.less";
import aliPayIcon from "../../../images/aliPayIcon.png";
export default class Index extends Component {
  state = {
    name: "", // 账户姓名
    account: "", // 支付宝账户
    phone: "", // 手机号
    idCard: "", // 身份证号
    bankCard: "", // 银行卡号
  };
  // 账户姓名
  handleChangeName(value) {
    this.setState({ name: value });
  }
  // 支付宝账户
  handleChangeAccount(value) {
    this.setState({ account: value });
  }
  // 手机号
  handleChangePhone(value) {
    this.setState({ phone: value });
  }
  // 身份证号
  handleChangeIdCard(value) {
    this.setState({ idCard: value });
  }
  // 银行卡号
  handleChangeBankCard(value) {
    this.setState({ bankCard: value });
  }
  render() {
    return (
      <View className="index">
        {/* 支付宝信息 */}
        <View className="alipay-info">
          <AtInput
            name="value"
            title="账户姓名"
            type="text"
            placeholder="请输入账户姓名"
            value={this.state.name}
            onChange={this.handleChangeName.bind(this)}
          />
          <AtInput
            name="value"
            title="手机号"
            type="text"
            placeholder="请输入手机号"
            value={this.state.phone}
            onChange={this.handleChangePhone.bind(this)}
          />
          <AtInput
            name="value"
            title="身份证号"
            type="text"
            placeholder="请输入身份证号"
            value={this.state.idCard}
            onChange={this.handleChangeIdCard.bind(this)}
          />
          <AtInput
            name="value"
            title="银行卡号"
            type="text"
            placeholder="请输入银行卡号"
            value={this.state.bankCard}
            onChange={this.handleChangeBankCard.bind(this)}
          />
          <AtInput
            border={false}
            name="value"
            title="支付宝账户"
            type="text"
            placeholder="请输入支付宝账户"
            value={this.state.account}
            onChange={this.handleChangeAccount.bind(this)}
          />
        </View>
        {/* 注意 */}
        <View className="attention">
          <View className="attention-top">
            <Image src={aliPayIcon} className="attention-icon" />
            注意：
          </View>
          <View className="attention-bottom">
            所维护的信息需要与提现认证提交的自然人为同一人，非同一人会提现失败
          </View>
        </View>
        {/* 提交 */}
        <View className="submit">提交</View>
      </View>
    );
  }
}
