import { Component } from "react";
import { View, Text, Image } from "@tarojs/components";
import level from "../../../images/partner/level.png";
import { AtIcon } from "taro-ui";
import { getMyPartnerList } from "../../../service";
import "./index.less";
import Taro from "@tarojs/taro";
export default class Index extends Component {
  state = {
    partnerList: [],
  };
  componentDidMount() {
    this.getPartnerList(); // 获取我的伙伴列表
  }
  // 获取我的伙伴列表
  getPartnerList = async () => {
    const res = await getMyPartnerList();
    this.setState({
      partnerList: res,
    });
  }
  copyPhone = (phone) => {
    Taro.setClipboardData({
      data: phone,
      success: () => {
        Taro.showToast({
          title: '复制成功',
          icon: 'success',
          duration: 2000
        })
      }
    })
  }

  render() {
    const { partnerList } = this.state;
    return (
      <View className="index">
        <View className="header"></View>
        <View className="partner-number">
          <Text className="partner-number-title">我的伙伴</Text>
            <Text className="partner-number-count">{partnerList.all_partner_cnt}</Text>
        </View>
        <View className="partner-list">
          {partnerList.partner_list && partnerList.partner_list.map((item, index) => (
            <View key={index} className="partner-item">
              <View className="partner-item-top">
                <View className="partner-item-top-left">
                <Image src={item.icon} className="partner-item-top-left-avatar" />
              </View>
              <View className="partner-item-top-right">
                <View className="name">{item.name}</View>
                <View className="level">
                  <Image src={level} className="level-icon" />
                  <Text className="level-text">导购员</Text>
                </View>
              </View>
              <View onClick={() => Taro.navigateTo({ url: `/pages/memberSub/partnerDetail/index?id=${item.id}` })} className="detail">详情
                <AtIcon value='chevron-right' size='10' color='#A1A1A1'></AtIcon>
              </View>
            </View>
            <View className="partner-item-bottom">
              <View className="item">
                <Text className="item-text">绑定手机号</Text>
                {item.phone && (
                  <View className="phone-container">
                    <Text className="item-value">{item.phone}</Text>
                    <Text className="copy-btn" onClick={() => this.copyPhone(item.phone)}>复制</Text>
                  </View>
                )}
              </View>
              <View className="item">
                <Text className="item-text">推荐绑定时间</Text>
                <Text className="item-value">{item.start_date}</Text>
              </View>
            </View>
          </View>
          ))}
        </View>
      </View>
    );
  }
}
